<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html"/>

  <xsl:template match="/">
    <ul id="unit_list">
      <xsl:for-each select="//unit">
        <xsl:sort select="./name" />
        <xsl:variable name="file" select="./file" />
        <xsl:variable name="name" select="./name" />
        <xsl:variable name="faction" select="./ownership" />
        <xsl:variable name="class" select="./class" />
        <xsl:variable name="category" select="./category" />
        <li id="name={$name};faction={$faction};class={$class};category={$category}">
          <span id="{$file}" class="UnitListItem"><xsl:value-of select="./name" /></span>
        </li>
      </xsl:for-each>
    </ul>
  </xsl:template>

</xsl:stylesheet>